#include "partition.h"
#include<bits/stdc++.h>
std::vector<int> solve(std::vector<int> A)
{
    long long N = A.size();
    std::vector<std::pair<int, int> > arr;
    for(int i = 0; i < N; i++)
    {
        arr.push_back(std::make_pair(A[i], i));
    }
//    std::cout<<"*"<<std::endl;
    sort(arr.begin(), arr.end());
//    for(int i = 0; i < N; i++)
//    {
//        std::cout<<arr[i].first<<" "<<arr[i].second<<std::endl;
//    }
    std::vector<int> ans;
    ans.resize(N);
    for(int i = 0; i < N / 2; i++)
    {
        ans[i] = arr[i * 2].second;
        ans[N / 2 + i] = arr[i * 2 + 1].second;
    }
    return ans;
}
